from sqlalchemy import Column, Integer, String, Text
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class User(Base):
    __tablename__ = '系统用户'

    id = Column('序号', Integer, primary_key=True)
    order_number = Column('顺号', Integer, nullable=False)
    username = Column('用户名称', String(20))
    password = Column('用户密码', String(20))
    specialty = Column('专业名称', String(50))
    auth_supplement_quota = Column('授权补充定额', Integer)
    item_range_30 = Column('条目范围30', Text)
    project_supplement = Column('项目补充', Integer)

    def __repr__(self):
        return f"<User(username='{self.username}', specialty='{self.specialty}')"